Skip to main content
GET
/
customers
/
{id}
/
aliases
Get Customer Aliases
curl --request GET \
  --url https://eu.sequencehq.com/api/customers/{id}/aliases \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/customers/{id}/aliases"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/customers/{id}/aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "0185a140-194a-7e9d-9fae-6a034fd4a725",
      "sequenceAccountId": "cd243b67-7d8c-42ee-b19f-b4e41f584415",
      "customerId": "0185a142-54ff-7ce5-846a-fc188432da6e",
      "value": "customer-alias-123",
      "createdAt": "2022-10-01T00:00:00Z"
    }
  ]
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Customer ID

Response

OK

items
object[]
required
Example:
[
{
"id": "0185a140-194a-7e9d-9fae-6a034fd4a725",
"sequenceAccountId": "cd243b67-7d8c-42ee-b19f-b4e41f584415",
"customerId": "0185a142-54ff-7ce5-846a-fc188432da6e",
"value": "customer-alias-123",
"createdAt": "2022-10-01T00:00:00Z"
}
]